#Single Query Pay In Order
#Request path
/api/v2/virtual/order/detail#Parameter list
| Name | Type | Length | Required | Description |
|---|---|---|---|---|
| orderNo | String | 32 | yes | PalmPay platform order No |
#Return value
| Name | Type | Length | Required | Description |
|---|---|---|---|---|
| orderNo | String | 32 | yes | PalmPay platform order No |
| orderStatus | Integer | 3 | yes | Virtual Account order status (see Virtual Account order status) |
| createdTime | Long | 13 | yes | Order create time |
| updateTime | Long | 13 | yes | Order update time |
| currency | String | 3 | yes | Currency(NGN) Data Dictionary |
| orderAmount | Long | 19 | yes | Initiated amount of transfer (Unit of measurement: cent For example, "100" means 1 NGN) |
| reference | String | 512 | no | Payer reference |
| payerAccountNo | String | 64 | yes | Payer account number |
| payerAccountName | String | 200 | yes | Payer account name |
| payerBankName | String | 64 | yes | Payer bank name |
| virtualAccountNo | String | 64 | no | Virtual account number(Only transfers to the virtual account will be returned, transfers to the merchant's balance will not be returned) |
| virtualAccountName | String | 200 | no | Virtual account name(Only transfers to the virtual account will be returned, transfers to the merchant's balance will not be returned) |
| accountReference | String | 120 | no | This is a reference field for the virtual account. |
| sessionId | String | 128 | No | Channel Response Parameters. Note: Most of the non-NIBSS channels do not return sessionId, if there is any problem with this type of order, you need to provide the order number to PalmPay to confirm the actual arrival of the payee. |
#Error code
#Postman example
#request
curl --location 'https://open-gw-sandbox.palmpay-inc.com/api/v2/virtual/order/detail' \
--header 'Accept: application/json, text/plain, */*' \
--header 'countryCode: NG' \
--header 'Authorization: Bearer L231127063379321376521' \
--header 'Signature: fM36uxQ23rLN3T4d+BDTFUqMMlSSU1P8TOelzyAr4NL3FZLBL7DcZZpXjPEZKz6pRGmigfcxUaQSmtvimkL/h6Yqz7NI1Smp+384zs0urrOT77Fa70E6Mj/TZvaBZD6ngwgbuMHzbavcvu/34gfpv3kpTXbF1QGtCbpX/W7w6QkVcP+a0bN19L5x5Hrh0IrN73DQP8c+aP0EnxJXkxblj5XegVEUf9hxK1f3UkGkHTG551pQCp2/pnunUyvU53dDcM9hn6qBUUFOHpX2VLBu30u27UfbOdBI75eG/RrhBS5pUbG3a4OH9RlUc9FmwcjayX67Gt9AkX+xuRdB9LO9tg==' \
--header 'Content-Type: application/json' \
--data '{
"requestTime":1702979519927,
"version":"V2.0",
"nonceStr":"WHk1genAzP8NAfujRsMdZaKC0ygBpOfH",
"orderNo":"MI1735541179325538304"
}'#response
{
"respCode": "00000000",
"respMsg": "success",
"data": {
"orderNo": "MI1735541179325538304",
"orderStatus": 1,
"createdTime": 1702620236604,
"updateTime": 1702620236604,
"currency": "NGN",
"orderAmount": 30000,
"reference": "agent",
"payerAccountNo": "12341991",
"payerAccountName": "abigaile jack",
"payerBankName": "ACCESS BANK NIGERIA",
"virtualAccountNo": "6683582280",
"virtualAccountName": "asd test",
"accountReference": "accountReference example",
"sessonId": "090400010202502110345301100221"
},
"status": true
}